#2108 closed enhancement (fixed)

Limit jobs to make.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: tool/rsb Version: 4.11
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

Some host systems being used for testing such as the GCC compile farm require the jobs to make be limited to half to the number of cores. Currently the RSB detects the number of cores and uses them all.

Remove the --no-smp option and replace with a --jobs option that takes a parameter. The parameter can be:

none - No extra jobs, do not add a -j to make.
half - Use half the number of cores as a jobs option to make.
fraction - A fraction of the number of cores, ie 0.25 is a quarter.
int - The number of jobs to use.

Change History (4)

comment:1 Changed on Apr 3, 2013 at 2:39:12 AM by Chris Johns

Resolution: fixed
Status: newclosed

Fixed on the master head. The --jobs option supports 'none', 'max', or 'half' or a fraction to divide the number of detected processors or an integer which forces the jobs value. The --no-smp option has been removed. For example:

--jobs=none # no -j option to make
--jobs=half # half the cpus detected
--jobs=0.25 # a quarter the cpus detected
--jobs=45 # force jobs to 45

comment:2 Changed on Nov 22, 2014 at 12:29:09 PM by Gedare Bloom

Component: CodeRSB
Milestone: 4.11

comment:3 Changed on Nov 23, 2014 at 3:50:06 PM by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

comment:4 Changed on Oct 10, 2017 at 6:04:12 AM by Sebastian Huber

Component: CodeRSB
Note: See TracTickets for help on using tickets.